LLVM 2.0 / GCC 3.4

Hi there,

Is it possible to use GCC 3.4 with LLVM 2.0? I tried to compile GCC 3.4 with LLVM 2.0 and get following error message:

/scratch/spa_llvm-2.0/llvm-gcc3.4-1.9.source/build/gcc/xgcc -B/scratch/spa_llvm-2.0/llvm-gcc3.4-1.9.source/build/gcc/ -B/scratch/spa_llvm-2.0/llvm-gcc3.4-1.9.source/install/i386-pc-solaris2.11/bin/ -B/scratch/spa_llvm-2.0/llvm-gcc3.4-1.9.source/install/i386-pc-solaris2.11/lib/ -isystem /scratch/spa_llvm-2.0/llvm-gcc3.4-1.9.source/install/i386-pc-solaris2.11/include -isystem /scratch/spa_llvm-2.0/llvm-gcc3.4-1.9.source/install/i386-pc-solaris2.11/sys-include -O2 -DIN_GCC -DDEFAULT_TARGET_MACHINE=\"i386-pc-solaris2.11\" -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -isystem ./include -fPIC -g -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED -I. -I. -I../../src/gcc -I../../src/gcc/. -I../../src/gcc/../include -DL_muldi3 -c ../../src/gcc/libgcc2.c -o libgcc/./_muldi3.o
gccas: This tool is deprecated, please use opt
/scratch/llvm-2.0/Release/bin/llvm-as: /var/tmp//ccqeaOYi.s:26,0: /var/tmp//ccqeaOYi.s:26: error: syntax error, unexpected $undefined, expecting TRIPLE or DATALAYOUT while reading token: 'p'
/scratch/llvm-2.0/Release/bin/opt: Invalid bitcode signature

Bernhard.

Is it possible to use GCC 3.4 with LLVM 2.0? I tried to compile GCC
3.4 with LLVM 2.0 and get following error message:

No. LLVM 2.0 removed a lot of stuff that is critical to get llvm-gcc3 working (ie. runtime libraries). llvm-gcc3 also does not output the right syntax. Its a lot of work to get it working.

Why can't you use llvm-gcc4?

-Tanya